package info.extensiblecatalog.nacm.gui.scheduling;

import info.extensiblecatalog.nacm.matcher.MatchDriver;

public class MatchTask extends Task {
	
	private MatchDriver matcher;
	
	public MatchTask( MatchDriver matcher ) {
		this.matcher = matcher;
	}

	@Override
	String getTaskName() {
		return "Match all unmatched Bib. records";
	}

	@Override
	public void run() {
		try {
			matcher.match( this );
			setCompletedSuccessfully();
		} catch ( Exception e ) {
			setFailed( "Matcher.match()", e );
		}
	}

}
