package info.extensiblecatalog.nacm.gui.scheduling;

import java.awt.FlowLayout;

import info.extensiblecatalog.nacm.matcher.MatchDriver;

import javax.swing.JLabel;

@SuppressWarnings("serial")
public class MatchTaskPanel extends TaskPanel {

	private MatchDriver matcher;
	
	public MatchTaskPanel( MatchDriver matcher ) {
		this.matcher = matcher;
		
		this.setLayout( new FlowLayout( FlowLayout.LEFT ) );
		
		this.add( new JLabel("Attempt to match all unmatched records.") );
	}
	
	public String getDialogTitle() {
		return "Match Records";
	}
	
	@Override
	public Task getTask() {
		return new MatchTask( matcher );
	}

}
